<ng-container *ngIf="category; else notFound">

  <div class="categories__container">

    <div class="categories__card">
      <h2>{{category?.name}}</h2>
      <p>{{'numberOfQuestions' | translate}}: {{category?.howManyQuestions}}</p>
    </div>

    <form
      class="form"
      (ngSubmit)="saveChanges()"
      [formGroup]="form">

      <div
        *ngIf="saveChangesError"
        class="save-changing-error-container">
        <p class="error-message">
          {{(saveChangesError + 'ErrorMessage') | translate}}
        </p>
      </div>

      <div class="input-container">
        <h3>{{'categoryName' | translate}}:</h3>
        <input type="text" formControlName="name">
      </div>

      <div class="validation-error-container"
           *ngIf="form.get('name')?.touched && form.get('name')?.errors">
        <p class="error-message" *ngFor="let error of getValidationErrors('name')">
          {{(error + 'ErrorMessage') | translate}}
        </p>
      </div>

      <div class="input-container">
        <h3>{{'categoryDescription' | translate}}:</h3>
        <input type="text" formControlName="description">
      </div>

      <app-button
      [name]="'save' | translate"
      [disabled]="isSaveButtonDisabled()"
      [type]="'submit'">
      </app-button>

    </form>

  </div>

</ng-container>

<ng-template #notFound>
  <app-not-found [errorMessage]="'categoryWasNotFound' | translate"></app-not-found>
</ng-template>
